# Sablotron Guide and Reference

SablotAddArgBuffer | Functions

#### Summary

Adds a buffer containing the XML data as the named argument.

#### Syntax

    int SablotAddArgBuffer(SablotSituation S,
           void *processor_,
           const char *argName,
           const char *bufferValue);

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | Situation handle
`processor_` | `void*` | Processor handle
`argName` | `const char*` | argument name
`bufferValue` | `const char*` | XML data

#### Description

This API adds the named buffer to the list of arguments maintained by the processor instance. Named arguments may be used either while the processed data are specified (e.g. in `SablotRunProcessorGen` or in the document() XSLT function.

#### See Also

Groups | [ Functions ]
Entries | [ SablotAddArgTree | SablotRunProcessorGen | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC